package com.huimv.common.utils;

import javax.management.MXBean;
import java.text.DateFormat;
import java.text.SimpleDateFormat;
import java.util.Calendar;
import java.util.Date;
import java.util.Locale;

/**
 * @Project : huimv.shiwan
 * @Package : com.huimv.biosafety.uface.controller
 * @Description : TODO
 * @Version : 1.0
 * @Author : ZhuoNing
 * @Create : 2020-12-25
 **/
public class DateUtil {

    /**
     * @Method      : getToday
     * @Description : 
     * @Params      : []
     * @Return      : java.lang.String
     * 
     * @Author      : ZhuoNing
     * @Date        : 2020/12/28       
     * @Time        : 16:41
     */
    public String getToday(){
        DateFormat df3 = DateFormat.getDateInstance(DateFormat.MEDIUM, Locale.CHINA);
        return df3.format(new Date());
    }

    /**
     * @Method      : 格式化日期
     * @Description : 
     * @Params      : [date]
     * @Return      : java.lang.String
     * 
     * @Author      : ZhuoNing
     * @Date        : 2020/12/28       
     * @Time        : 17:25
     */
    public String formatDate(Date date){
        DateFormat df3 = DateFormat.getDateInstance(DateFormat.MEDIUM, Locale.CHINA);
        return df3.format(date);
    }

    /**
     * @Method      : beforeTime
     * @Description : 
     * @Params      : [times]
     * @Return      : java.lang.String
     * 
     * @Author      : ZhuoNing
     * @Date        : 2020/12/29       
     * @Time        : 14:34
     */
    public String beforeTime(int times){
        SimpleDateFormat sdf = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");//设置日期格式
        Calendar calendar = Calendar.getInstance();
        //（3）计算推前n小时的时间，16为推前16小时
        calendar.set(Calendar.HOUR_OF_DAY, calendar.get(Calendar.HOUR_OF_DAY) - times);
        String endTime = sdf.format(calendar.getTime());
        System.out.println("提前3小时："+ endTime);
        return endTime;
    }
}
